Bug 997206 - [RFE] geo-replication to swift target
[RFE] geo-replication to swift target
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 19:50 EDT by Andrew Hatfield
Modified: 2015-10-22 11:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Hatfield 2013-08-14 19:50:33 EDT
Description of problem:
Currently, glusterfs' geo-replication is file based to another glusterfs trusted storage pool.

To allow users to perform geo-replication over untrusted networks, adding the capability to perform a geo-replication to a swift target would be an ideal solution.

Version-Release number of selected component (if applicable):
RFE

How reproducible:
RFE

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jeff Darcy 2013-08-16 17:16:19 EDT
The goal of making geo-replication work over a secure connection is laudable, but why would we want to tie it to Swift?  There are pretty good ways to do this in Python or C (our two implementation languages) so that it would be applicable to non-Swift deployments.
Comment 3 Niels de Vos 2014-11-27 09:45:18 EST
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.
Comment 4 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.